Bug 1003821 - [abrt] java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19: write_memory_serialize_page: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre/bin/java was killed by signal 11 (SIGSEGV)
[abrt] java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19: write_memory_serialize_page...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:068309c393079f142b404d37767...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 05:47 EDT by Mat Booth
Modified: 2013-12-05 11:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 11:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (246.01 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: core_backtrace (34.60 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: dso_list (36.99 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: environ (1.37 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: maps (147.02 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: open_fds (3.00 KB, text/plain)
2013-09-03 05:47 EDT, Mat Booth
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-09-03 05:48 EDT, Mat Booth
no flags Details
File: var_log_messages (29.08 KB, text/plain)
2013-09-03 05:48 EDT, Mat Booth
no flags Details

  None (edit)
Description Mat Booth 2013-09-03 05:47:27 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.3.0.v20130729-1827/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20130729-1832/eclipse_1506.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar --launcher.appendVmargs -exitdata c4000a -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar
crash_function: write_memory_serialize_page
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre/bin/java
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 write_memory_serialize_page at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/runtime/os.hpp:330
 #1 serialize_memory at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/os/linux/vm/interfaceSupport_linux.hpp:31
 #2 transition_from_native at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/runtime/interfaceSupport.hpp:220
 #3 trans_from_native at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/runtime/interfaceSupport.hpp:239
 #4 ThreadInVMfromNative at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/runtime/interfaceSupport.hpp:286
 #5 ciBytecodeStream::get_method at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/ci/ciStreams.cpp:359
 #6 Parse::do_call at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/opto/doCall.cpp:358
 #7 Parse::do_one_bytecode at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/opto/parse2.cpp:2220
 #8 Parse::do_one_block at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/opto/parse1.cpp:1405
 #9 Parse::do_all_blocks at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/openjdk/hotspot/src/share/vm/opto/parse1.cpp:680

Potential duplicate: bug 980943
Comment 1 Mat Booth 2013-09-03 05:47:32 EDT
Created attachment 793083 [details]
File: backtrace
Comment 2 Mat Booth 2013-09-03 05:47:35 EDT
Created attachment 793084 [details]
File: cgroup
Comment 3 Mat Booth 2013-09-03 05:47:40 EDT
Created attachment 793085 [details]
File: core_backtrace
Comment 4 Mat Booth 2013-09-03 05:47:43 EDT
Created attachment 793086 [details]
File: dso_list
Comment 5 Mat Booth 2013-09-03 05:47:47 EDT
Created attachment 793087 [details]
File: environ
Comment 6 Mat Booth 2013-09-03 05:47:50 EDT
Created attachment 793088 [details]
File: limits
Comment 7 Mat Booth 2013-09-03 05:47:53 EDT
Created attachment 793089 [details]
File: maps
Comment 8 Mat Booth 2013-09-03 05:47:57 EDT
Created attachment 793090 [details]
File: open_fds
Comment 9 Mat Booth 2013-09-03 05:48:00 EDT
Created attachment 793092 [details]
File: proc_pid_status
Comment 10 Mat Booth 2013-09-03 05:48:04 EDT
Created attachment 793093 [details]
File: var_log_messages
Comment 11 Mat Booth 2013-09-03 05:50:20 EDT
Eclipse was running at the time of the crash.
Comment 12 Deepak Bhole 2013-09-06 13:16:27 EDT
Is this issue reproducible?
Comment 13 Robert Xu 2013-12-04 12:25:21 EST
Using eclipse, I believe the code helper tried to come up... then it just crashed.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.6 -XX:MaxPermSize=256m -Xms40m -Xmx512m -jar /home/rxu/Installations/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar -os linux -ws gtk -arch x86_64 -showsplash /home/rxu/Installations/eclipse//plugins/org.eclipse.platform_4.3.1.v20130911-1000/splash.bmp -launcher /home/rxu/Installations/eclipse/eclipse -name Eclipse --launcher.library /home/rxu/Installations/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20130807-1835/eclipse_1506.so -startup /home/rxu/Installations/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar --launcher.appendVmargs -exitdata 53000d -product org.eclipse.epp.package.java.product -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.6 -XX:MaxPermSize=256m -Xms40m -Xmx512m -jar /home/rxu/Installations/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar
crash_function: write_memory_serialize_page
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.9-200_1.cubbi_tuxonice.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Deepak Bhole 2013-12-05 09:18:38 EST
Hi Robert, does it crash consistently?
Comment 15 Robert Xu 2013-12-05 11:06:54 EST
(In reply to Deepak Bhole from comment #14)
> Hi Robert, does it crash consistently?

Hi Deepak, it's more erratic. I've pulled up the same code helper and it didn't crash this time.

Over the past few months, it's crashed this way probably once or twice, randomly, so I'm not really able to pinpoint where it crashes, other than the code helper.
Comment 16 Deepak Bhole 2013-12-05 11:23:41 EST
Unfortunately without a reproducible case, there is not much we can do to fix this :(

I am going to close this as INSUFFICIENT_DATA, but if at any point it becomes reproducible, please feel free to re-open it.

Note You need to log in before you can comment on or make changes to this bug.